---
apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: k8s.privileged
  annotations:
    seccomp.security.alpha.kubernetes.io/allowedProfileNames: "*"
    kubernetes.io/description: 'Privileged PSP'
  labels:
    app.kubernetes.io/instance: {{ $.Release.Name }}
    helm.sh/char: {{ $.Chart.Name }}-{{ $.Chart.Version | replace "+" "_" }}
spec:
  privileged: true
  allowPrivilegeEscalation: true
  allowedCapabilities:
  - '*'
  volumes:
  - '*'
  hostNetwork: true
  hostPorts:
  - min: 0
    max: 65535
  hostIPC: true
  hostPID: true
  runAsUser:
    rule: 'RunAsAny'
  seLinux:
    rule: 'RunAsAny'
  supplementalGroups:
    rule: 'RunAsAny'
  fsGroup:
    rule: 'RunAsAny'
  readOnlyRootFilesystem: false

---
apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: k8s.restricted
  annotations:
    kubernetes.io/description: 'PSP with restrictions'
    seccomp.security.alpha.kubernetes.io/allowedProfileNames: 'docker/default,runtime/default'
    seccomp.security.alpha.kubernetes.io/defaultProfileName:  'runtime/default'
spec:
  privileged: false
  fsGroup:
    rule: RunAsAny
  runAsUser:
    rule: MustRunAsNonRoot
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    rule: RunAsAny
  volumes:
  - 'emptyDir'
  - 'secret'
  - 'downwardAPI'
  - 'configMap'
  - 'persistentVolumeClaim'
  - 'projected'
  hostPID: false
  hostIPC: false
  hostNetwork: false
